- type: sections
  path: lucys
  sections:
    - type: grid
      cards:
        - type: custom:gap-card
          visibility:
            - condition: screen
              media_query: '(min-width: 2560px)'
        - type: entities
          entities:
            - type: custom:bubble-card
              card_type: separator
              name: Lights
              button_type: name
              show_icon: true
              card_layout: large
              sub_button:
                - entity: input_boolean.scene_minimal
                  show_state: false
                  show_name: false
                  name: Desk
                  tap_action:
                    action: call-service
                    service: script.scenes_control
                    data:
                      scene: minimal
                    target: {}
                - entity: input_boolean.scene_musicfx
                  show_state: false
                  show_name: false
                  name: MusicFX
                  tap_action:
                    action: call-service
                    service: script.scenes_control
                    data:
                      scene: musicfx
                    target: {}
                  icon: mdi:equalizer
                - entity: input_boolean.scene_uv_only
                  tap_action:
                    action: call-service
                    service: script.scenes_control
                    data:
                      scene: uv_only
                    target: {}
                - entity: input_boolean.scene_tv_bar
                  tap_action:
                    action: call-service
                    service: script.scenes_control
                    data:
                      scene: tv_bar
                    target: {}
                - entity: script.state_restore
                  tap_action:
                    action: call-service
                    service: script.state_restore
                    data:
                      sensor: sensor.scene_default_2
                    target: {}
              styles: |
                .bubble-sub-button {
                    #background-color: rgba(206, 108, 15, 1); 
                    #height: 29px;
                    
                    #font-size: 16px !important;
                    #font-style: bold !important;
                }                  
                .bubble-sub-button-icon { 
                  --mdc-icon-size: 24px !important;
                }
                .bubble-sub-button-1{
                    background-color: ${hass.states['input_boolean.scene_minimal'].state==='on' ? 'var(--primary-color)' : ''} !important;
                }                 
                .bubble-sub-button-2{
                    background-color: ${hass.states['input_boolean.scene_musicfx'].state==='on' ? 'var(--primary-color)' : ''} !important;
                } 
                .bubble-sub-button-3{
                    background-color: ${hass.states['input_boolean.scene_uv_only'].state==='on' ? 'var(--primary-color)' : ''} !important;
                }   
                .bubble-sub-button-4{
                    background-color: ${hass.states['input_boolean.scene_tv_bar'].state==='on' ? 'var(--primary-color)' : ''} !important;
                }
                .bubble-sub-button-5{
                    background-color: var(--deep-orange-color) !important;
                }                   
                .bubble-icon {
                  #font-size: large !important;
                  #font-style: bold !important;
                  color: var(--white-color) !important;
                  opacity: 1 !important;    
                  #--mdc-icon-size: 28px
                }
              show_name: true
              icon: mdi:lightbulb-variant
            - type: custom:bubble-card
              card_type: button
              button_type: slider
              entity: light.lucy_master
              tap_action:
                action: toggle
              card_layout: large
              show_icon: true
              icon: mdi:power
              name: Master
              show_state: false
              show_last_changed: false
              show_attribute: true
              force_icon: false
              styles: |-
                .bubble-range-fill { 
                  display: ${state === 'on' ? '' : 'none'} !important;
                  filter: brightness(1.15) !important;

                  background-color: ${state==='off' ? 'var(--secondary-background-color)' : 'rgb(6, 154, 136)'} !important;
                  opacity: 1.75 !important;
                }
                .bubble-icon { 
                  display: ${state === 'on' ? '' : 'none'} !important;
                  
                  color: ${state==='off' ? 'var(--secondary-background-color)' : 'rgb(6, 154, 136)'} !important;
                  #background-color: ${state==='off' ? 'var(--secondary-background-color)' : hass.states['sensor.wled_estimated_current'].state >= 10080  ? '#c27d00' : hass.states['sensor.wled_estimated_current'].state >= 13440 ? '#a40000' : 'rgb(56, 14, 136)'} !important;
                  filter: brightness(1.35) !important;
                  opacity: 1.75 !important;  
                  }
                      .bubble-name {
                        font-size: large !important;
                        font-style: bold !important;
                        color: var(--white-color) !important;
                        opacity: 1 !important;       
                        }  
                .bubble-range-fill { 
                  display: ${state === 'on' ? '' : 'none'} !important;
                  filter: brightness(1.7) !important;

                  background-color: ${state==='off' ? 'var(--secondary-background-color)' : hass.states['sensor.wled_estimated_current'].state >= 10080  ? '#c27d00' : hass.states['sensor.wled_estimated_current'].state >= 13440 ? '#a40000' : 'rgb(56, 14, 136)'} !important;
                  opacity: 0.75 !important;
                }
                ${state === 'on' 
                    ? card.querySelector('.bubble-state').innerText = "On • " +Math.round(hass.states['light.lucy_master'].attributes.brightness / 255 * 100) + "%"
                    : card.querySelector('.bubble-state').innerText = 'Off'};  
                    
              sub_button:
                - entity: input_select.light_scenes
                  select_attribute: effect_list
                  light_background: false
                  state_background: false
                  show_icon: true
                  icon: mdi:shimmer
                  show_state: true
                  show_attribute: true
                  attribute: effect
              layout_type: custom:grid-layout
            - type: custom:bubble-card
              card_type: empty-column
            - type: section
            - type: custom:layout-card
              layout_type: custom:grid-layout
              cards:
                - type: custom:bubble-card
                  card_type: button
                  tap_action:
                    action: toggle
                  entity: light.tasmota_heart_heart
                  styles: >-
                    .bubble-name {
                      #font-size: 11px !important;
                      #font-weight: bold !important;
                      color: ${state==='on' ? '' : 'var(--disabled-color)'} !important;
                    } .bubble-state {
                      # font-size: 11px !important;
                      #font-weight: bold !important;

                      color: ${state==='on' ? 'white' : 'var(--disabled-color)'} !important;
                    } .card-content {
                      width: 100% !important;
                      justify-content: flex-end !important;;
                    }

                    .bubble-name-container {            
                      margin: 0.0em !important;
                    }

                    .bubble-icon {
                      #--mdc-icon-size: 27px;
                      opacity: 1 !important;
                      color: ${state==='on' ? 'rgba(127, 1, 81, 1.81)' : 'var(--disabled-color)'} !important; 
                      filter: contrast(1.2) !important;
                    }          

                    .bubble-icon-container {
                      color: ${state==='on' ? 'var(--primary-background-color)' : 'transparent'} !important;            
                      background-color: ${state==='on' ? 'var(--secondary-background-color)' : 'var(--secondary-background-color)'} !important; 
                      opacity: 0.75 !important;
                      
                    } .bubble-button-card-container {
                      #background-color: ${state==='on' ? 'rgb(66, 47, 128)' : 'var(--secondary-background-color)'} !important; 
                        opacity: 1 !important;
                    }    .bubble-button-background {
                      background-color: ${hass.states['light.tasmota_heart_heart'].state==='on' ? 'rgba(127, 1, 81, 1.81)' : ''} !important;
                        opacity: 0.85 !important;
                    }       


                    ${icon.setAttribute("icon", state==='on' ? 'mdi:heart' :
                    'mdi:heart-outline')};
                  icon: mdi:heart-outline
                  card_layout: large
                  show_state: true
                  button_action:
                    hold_action:
                      action: toggle
                  show_name: true
                - type: custom:bubble-card
                  card_type: button
                  entity: light.tasmota_vitrine_vitrine
                  card_layout: large
                  show_state: true
                  styles: >-
                    .bubble-name {
                      #font-size: 11px !important;
                      #font-weight: bold !important;
                      color: ${state==='on' ? '' : 'var(--disabled-color)'} !important;
                    } .bubble-state {
                      #font-size: 10px !important;
                      color: ${state==='on' ? '' : 'var(--disabled-color)'} !important;
                    } .card-content {
                      width: 100% !important;
                    }

                    .bubble-name-container {            
                      margin: 0 !important;
                    }

                    .bubble-icon {
                      #--mdc-icon-size: 27px;
                      opacity: 1 !important;
                      color: ${state==='on' ? 'rgba(205, 106, 70, 1.71)' : 'var(--disabled-color)'} !important; 
                      filter: contrast(1.2) !important;
                    }          

                    .bubble-icon-container {
                      color: ${state==='on' ? 'var(--primary-background-color)' : 'transparent'} !important;            
                      background-color: ${state==='on' ? 'var(--secondary-background-color)' : 'var(--secondary-background-color)'} !important; 
                      opacity: 0.75 !important;
                      
                    } .bubble-button-card-container {
                      background-color: ${state==='on' ? 'rgb(66, 47, 128)' : 'var(--secondary-background-color)'} !important; 
                        opacity: 1 !important;
                    }    .bubble-button-background {
                      background-color: ${hass.states['light.tasmota_vitrine_vitrine'].state==='on' ? 'rgba(205, 106, 70, 1.71)' : ''} !important;
                        opacity: 1 !important;
                    }        


                    ${icon.setAttribute("icon", state==='on' ?
                    'mdi:rocket-launch' :  'mdi:rocket-launch-outline')};
                  icon: mdi:rocket-launch-outline
                  tap_action:
                    action: toggle
                - type: custom:bubble-card
                  card_type: button
                  entity: light.tasmota_uv_uv
                  tap_action:
                    action: toggle
                  card_layout: large
                  show_state: true
                  icon: mdi:sun-wireless-outline
                  styles: >-
                    .bubble-name {
                      #font-size: 11px !important;
                      #font-weight: bold !important;
                      color: ${state==='on' ? '' : 'var(--disabled-color)'} !important;
                      #self-align: center;
                    } .bubble-state {
                      # font-size: 10px !important;
                      color: ${state==='on' ? '' : 'var(--disabled-color)'} !important;
                    } .card-content {
                      width: 100% !important;
                    }

                    .bubble-name-container {            
                      margin: 2px !important;
                    } .bubble-icon {
                      #--mdc-icon-size: 27px;
                      opacity: 1 !important;
                      color: ${state==='on' ? 'var(--purple-color)' : 'var(--disabled-color)'} !important; 
                      filter: contrast(1.2) !important;
                    }          

                    .bubble-icon-container {
                      color: ${state==='on' ? 'var(--primary-background-color)' : 'transparent'} !important;            
                      background-color: ${state==='on' ? 'var(--secondary-background-color)' : 'var(--secondary-background-color)'} !important; 
                      opacity: 0.75 !important;
                      
                    }  .bubble-button-card-container {
                      background-color: ${state==='on' ? 'rgb(66, 47, 128)' : 'var(--secondary-background-color)'} !important; 
                        opacity: 1 !important;
                    }     .bubble-button-background {
                      background-color: ${state==='on' ? 'var(--purple-color)' : ''} !important; 
                        opacity: 1 !important;
                    }        


                    ${icon.setAttribute("icon", state==='on' ?
                    'mdi:sun-wireless' :  'mdi:sun-wireless-outline')};
              layout:
                grid-template-columns: 33.33% 33.33% 33.33%
                grid-template-rows: auto
                margin: 10px 0px -8px 0px
                padding: 0 0 0 0
            - type: custom:layout-card
              layout_type: custom:grid-layout
              layout:
                grid-template-columns: auto
                grid-template-rows: auto
                margin: 0px 0px 0px 0px
                padding: 0 0 0 0
              cards:
                - type: custom:bubble-card
                  card_type: button
                  button_type: slider
                  entity: light.hexagon_2
                  sub_button:
                    - icon: mdi:shimmer
                      show_background: true
                      tap_action:
                        action: navigate
                        navigation_path: '#hexagon-advanced'
                      select_attribute: effect_list
                      show_last_changed: false
                      show_state: false
                      show_attribute: false
                      attribute: effect
                      light_background: false
                      state_background: false
                      show_arrow: true
                  card_layout: large
                  show_state: false
                  show_attribute: true
                  tap_action:
                    action: toggle
                  double_tap_action:
                    action: more-info
                  hold_action:
                    action: more-info
                  styles: >-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 

                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  

                    .bubble-range-fill { 
                      display: ${state === 'on' ? '' : 'none'} !important;
                      filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    }         ${card.querySelector('.bubble-state').innerText
                    = (state === 'on'  ? "On • " +
                    Math.round(hass.states['light.hexagon_2'].attributes.brightness/255*100)+"%"
                    : 'Off')};
                  use_accent_color: true
                - type: custom:bubble-card
                  card_type: button
                  button_type: slider
                  entity: light.lucy_ceiling
                  show_attribute: true
                  name: Fuchslampe
                  tap_action:
                    action: toggle
                  card_layout: large
                  sub_button:
                    - entity: light.lucy_ceiling
                      visibility:
                        - condition: and
                          conditions:
                            - condition: state
                              entity: light.lucy_ceiling
                              state: 'on'
                            - condition: state
                              entity: select.lucys_ceiling_light_mode
                              state: effect
                      icon: mdi:shimmer
                      light_background: false
                      state_background: false
                      select_attribute: effect_list
                      show_state: false
                      show_attribute: false
                      attribute: effect
                      show_arrow: true
                    - entity: light.lucy_ceiling
                      icon: mdi:minus-thick
                      state_background: false
                      light_background: false
                      show_attribute: false
                      attribute: effect
                      show_state: false
                      visibility:
                        - condition: and
                          conditions:
                            - condition: state
                              entity: light.lucy_ceiling
                              state: 'on'
                            - condition: state
                              entity: select.lucys_ceiling_light_mode
                              state: color_temp
                      show_arrow: false
                      tap_action:
                        action: call-service
                        target: {}
                        service: script.light_color_temp_by_step
                        data:
                          value: 10
                          entity: light.lucy_ceiling
                    - show_attribute: true
                      attribute: color_temp_kelvin
                      show_state: false
                      show_icon: false
                      show_last_changed: false
                      light_background: false
                      state_background: false
                      show_name: false
                      visibility:
                        - condition: and
                          conditions:
                            - condition: state
                              entity: light.lucy_ceiling
                              state: 'on'
                            - condition: state
                              entity: select.lucys_ceiling_light_mode
                              state: color_temp
                    - entity: light.lucy_ceiling
                      visibility:
                        - condition: and
                          conditions:
                            - condition: state
                              entity: light.lucy_ceiling
                              state: 'on'
                            - condition: state
                              entity: select.lucys_ceiling_light_mode
                              state: color_temp
                      icon: mdi:plus-thick
                      light_background: true
                      state_background: false
                      show_background: true
                      show_icon: true
                      tap_action:
                        action: call-service
                        target: {}
                        service: script.light_color_temp_by_step
                        data:
                          value: -10
                          entity: light.lucy_ceiling
                    - show_background: true
                      icon: mdi:shimmer
                      tap_action:
                        action: call-service
                        service: script.govee_control
                        data:
                          mode: effect
                          sensor: sensor.lucy_ceiling_attributes
                        target: {}
                      show_state: false
                      show_arrow: false
                      show_last_changed: false
                      state_background: false
                      visibility:
                        - condition: or
                          conditions:
                            - condition: state
                              entity: sensor.lucy_ceiling_color_mode
                              state_not: effect
                            - condition: state
                              entity: light.lucy_ceiling
                              state: 'off'
                    - show_background: true
                      icon: mdi:sun-snowflake-variant
                      tap_action:
                        action: call-service
                        service: script.govee_control
                        data:
                          mode: color_temp
                          sensor: sensor.lucy_ceiling_attributes
                        target: {}
                      show_state: false
                      show_arrow: false
                      show_last_changed: false
                      state_background: false
                      visibility:
                        - condition: or
                          conditions:
                            - condition: state
                              entity: sensor.lucy_ceiling_color_mode
                              state_not: color_temp
                            - condition: state
                              entity: light.lucy_ceiling
                              state: 'off'
                  show_state: true
                  show_icon: true
                  show_name: true
                  attribute: brightness
                  styles: |-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 
                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  
                    .bubble-range-fill { 
                      display: ${state === 'on' ? '' : 'none'} !important;
                      filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    } 
                    .bubble-sub-button-4 {
                      background-color: teal;
                    }
                    .bubble-sub-button-2 {
                      
                      background-color: var(--deep-orange-color);
                    }
                  hold_action:
                    action: more-info
                  double_tap_action:
                    action: more-info
                  use_accent_color: true
                  scrolling_effect: true
            - type: section
            - type: custom:layout-card
              layout_type: custom:grid-layout
              layout:
                grid-template-columns: auto
                grid-template-rows: auto
                margin: 0px 0px -8px 0px
              margin: 0px 0px 0px 0px
              padding: 0 0 0 0
              cards:
                - type: custom:bubble-card
                  card_type: button
                  button_type: slider
                  entity: light.wled_controller
                  name: WLED Controller
                  icon: mdi:led-strip-variant
                  sub_button:
                    - icon: mdi:web
                      tap_action:
                        action: url
                        url_path: http://192.168.2.69/
                      show_background: true
                      show_state: false
                      state_background: true
                      show_name: false
                    - icon: mdi:restart
                      tap_action:
                        action: perform-action
                        perform_action: button.press
                        target:
                          entity_id: button.wled_restart
                      show_background: true
                      state_background: true
                    - icon: mdi:cog
                      show_background: true
                      tap_action:
                        action: navigate
                        navigation_path: '#wled-advanced'
                  card_layout: large
                  show_state: false
                  show_attribute: true
                  tap_action:
                    action: toggle
                  double_tap_action:
                    action: more-info
                  styles: >-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: brightness(1.15) !important;
                    } 

                    .bubble-sub-button {
                      background: rgb(19, 13, 37) !important;
                    }

                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  

                    .bubble-range-fill { 
                      display: ${state === 'on' ? '' : 'none'} !important;
                      filter: brightness(0.75) !important;

                      opacity: 1.75 !important;
                    }         ${card.querySelector('.bubble-state').innerText
                    = (state === 'on'  ? "On • " +
                    Math.round(hass.states[entity].attributes.brightness/255*100)+"%"
                    : 'Off')};
                  use_accent_color: true
                - type: conditional
                  conditions:
                    - condition: and
                      conditions:
                        - condition: state
                          entity: input_boolean.scene_musicfx
                          state_not: 'on'
                  card:
                    type: custom:bubble-card
                    card_type: button
                    button_type: slider
                    entity: light.wled
                    show_state: true
                    show_attribute: true
                    attribute: brightness
                    card_layout: large
                    tap_action:
                      action: toggle
                    double_tap_action:
                      action: more-info
                    styles: >-

                      .bubble-icon {
                          color:  'var(--primary-color)'  !important;            
                          opacity: 1 !important;
                          filter: 'brightness(1.15)' !important;
                      } 

                      .bubble-sub-button {
                        background: var(--primary-color) !important;
                      }

                      .bubble-icon-container {
                          background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                          opacity: 1 !important;
                          color: var(--primary-background-color)
                          filter: brightness(1.55) !important;
                      }  


                      .bubble-range-fill { 
                        display: ${state === 'on' ? '' : 'none'} !important;
                        filter: brightness(0.15) !important;

                        opacity: 1.75 !important;
                      }        
                      ${card.querySelector('.bubble-state').innerText = (state
                      ===

                      'on'  ? "On • " +

                      Math.round(hass.states[entity].attributes.brightness/255*100)+"%"

                      : 'Off')};
                    sub_button:
                      - icon: mdi:shimmer
                        entity: input_select.presets_wled
                        show_state: true
                        show_background: true
                      - icon: mdi:palette
                        show_state: true
                        entity: input_select.wled_color_palettes
                    icon: mdi:led-strip
                    name: Group
                    use_accent_color: true
                - type: conditional
                  conditions:
                    - condition: and
                      conditions:
                        - condition: state
                          entity: input_boolean.scene_musicfx
                          state: 'on'
                  card:
                    type: custom:bubble-card
                    card_type: button
                    button_type: slider
                    entity: light.ledfx_192_168_2_33_wled
                    icon: mdi:led-strip-variant
                    name: LedFX Main
                    sub_button:
                      - icon: mdi:shimmer
                        show_background: true
                        entity: input_select.presets_ledfx
                        show_state: true
                        state_background: false
                    card_layout: large
                    show_state: true
                    show_attribute: true
                    attribute: brightness
                    tap_action:
                      action: toggle
                    double_tap_action:
                      action: more-info
                    styles: |-
                      .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                          opacity: 1 !important;
                      } 
                      .bubble-range-fill {                           
                        opacity: 0.8 !important;
                      }                       
                    use_accent_color: true
            - type: custom:layout-card
              layout_type: custom:grid-layout
              margin: 0px 0px 0px 0px
              padding: 0 0 0 0
              cards:
                - type: custom:state-switch
                  entity: input_boolean.scene_musicfx
                  default: 'off'
                  states:
                    'off':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.wled_desktop
                      show_state: true
                      show_attribute: true
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      use_accent_color: true
                      styles: >-

                        .bubble-icon {
                            color:  'var(--primary-color)'  !important;            
                            opacity: 1 !important;
                            filter: 'brightness(1.15)' !important;
                        } 


                        .bubble-icon-container {
                            background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                            color: var(--primary-background-color)
                            filter: brightness(1.55) !important;
                        }  


                        .bubble-range-fill { 
                          display: ${state === 'on' ? '' : 'none'} !important;
                          filter: brightness(0.15) !important;

                          opacity: 1.75 !important;
                        }        
                        ${card.querySelector('.bubble-state').innerText =
                        (state ===

                        'on'  ? "On • " +

                        Math.round(hass.states[entity].attributes.brightness/255*100)+"%"

                        : 'Off')};                      
                      icon: mdi:desktop-classic
                      name: Desktop
                    'on':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.ledfx_192_168_2_33_wled_desktop
                      show_state: true
                      show_attribute: true
                      name: LedFX - Desktop
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      styles: >-

                        .bubble-icon {
                            color:  'var(--primary-color)'  !important;            
                            opacity: 1 !important;
                            filter: 'brightness(1.15)' !important;
                        } 


                        .bubble-icon-container {
                            background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                            color: var(--primary-background-color)
                            filter: brightness(1.55) !important;
                        }  


                        .bubble-range-fill { 
                          display: ${state === 'on' ? '' : 'none'} !important;
                          filter: brightness(0.15) !important;

                          opacity: 1.75 !important;
                        }        
                        ${card.querySelector('.bubble-state').innerText =
                        (state ===

                        'on'  ? "On • " +

                        Math.round(hass.states[entity].attributes.brightness/255*100)+"%"

                        : 'Off')};                         
                      icon: mdi:desktop-classic
                - type: custom:state-switch
                  entity: input_boolean.scene_musicfx
                  default: 'off'
                  states:
                    'off':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.wled_ghost
                      show_state: true
                      show_attribute: true
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      use_accent_color: true
                      styles: >-

                        .bubble-icon {
                            color:  'var(--primary-color)'  !important;            
                            opacity: 1 !important;
                            filter: 'brightness(1.15)' !important;
                        } 


                        .bubble-icon-container {
                            background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                            color: var(--primary-background-color)
                            filter: brightness(1.55) !important;
                        }  


                        .bubble-range-fill { 
                          display: ${state === 'on' ? '' : 'none'} !important;
                          filter: brightness(0.15) !important;

                          opacity: 1.75 !important;
                        }        
                        ${card.querySelector('.bubble-state').innerText =
                        (state ===

                        'on'  ? "On • " +

                        Math.round(hass.states[entity].attributes.brightness/255*100)+"%"

                        : 'Off')};   
                      icon: mdi:ghost
                      name: Ghost
                    'on':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.ledfx_192_168_2_33_wled_ghost
                      show_state: true
                      show_attribute: true
                      name: LedFX - Ghost
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      use_accent_color: true
                      styles: >-

                        .bubble-icon {
                            color:  'var(--primary-color)'  !important;            
                            opacity: 1 !important;
                            filter: 'brightness(1.15)' !important;
                        } 


                        .bubble-icon-container {
                            background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                            color: var(--primary-background-color)
                            filter: brightness(1.55) !important;
                        }  


                        .bubble-range-fill { 
                          display: ${state === 'on' ? '' : 'none'} !important;
                          filter: brightness(0.15) !important;

                          opacity: 1.75 !important;
                        }        
                        ${card.querySelector('.bubble-state').innerText =
                        (state ===

                        'on'  ? "On • " +

                        Math.round(hass.states[entity].attributes.brightness/255*100)+"%"

                        : 'Off')};                   
                      icon: mdi:ghost
                - type: custom:state-switch
                  entity: input_boolean.scene_musicfx
                  default: 'off'
                  states:
                    'off':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.wled_umbreon
                      show_state: true
                      show_attribute: true
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      use_accent_color: true
                      styles: >-

                        .bubble-icon {
                            color:  'var(--primary-color)'  !important;            
                            opacity: 1 !important;
                            filter: 'brightness(1.15)' !important;
                        } 


                        .bubble-icon-container {
                            background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                            color: var(--primary-background-color)
                            filter: brightness(1.55) !important;
                        }  


                        .bubble-range-fill { 
                          display: ${state === 'on' ? '' : 'none'} !important;
                          filter: brightness(0.15) !important;

                          opacity: 1.75 !important;
                        }        
                        ${card.querySelector('.bubble-state').innerText =
                        (state ===

                        'on'  ? "On • " +

                        Math.round(hass.states[entity].attributes.brightness/255*100)+"%"

                        : 'Off')};                  
                      icon: mdi:pokeball
                      name: Umbreon
                    'on':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.ledfx_192_168_2_33_wled_umbreon
                      show_state: true
                      show_attribute: true
                      name: LedFX - Umbreon
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      styles: |-
                        .bubble-icon-container {
                          background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                        } 
                        .bubble-range-fill {             
                          opacity: 0.8 !important;
                        }                  
                      icon: mdi:pokeball
                - type: custom:state-switch
                  entity: input_boolean.scene_musicfx
                  default: 'off'
                  states:
                    'off':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.wled_tv
                      show_state: true
                      show_attribute: true
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      use_accent_color: true
                      styles: >-

                        .bubble-icon {
                            color:  'var(--primary-color)'  !important;            
                            opacity: 1 !important;
                            filter: 'brightness(1.15)' !important;
                        } 


                        .bubble-icon-container {
                            background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                            color: var(--primary-background-color)
                            filter: brightness(1.55) !important;
                        }  


                        .bubble-range-fill { 
                          display: ${state === 'on' ? '' : 'none'} !important;
                          filter: brightness(0.15) !important;

                          opacity: 1.75 !important;
                        }        
                        ${card.querySelector('.bubble-state').innerText =
                        (state ===

                        'on'  ? "On • " +

                        Math.round(hass.states[entity].attributes.brightness/255*100)+"%"

                        : 'Off')};                 
                      icon: mdi:television-classic
                      name: TV
                    'on':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.ledfx_192_168_2_33_wled_tv
                      show_state: true
                      show_attribute: true
                      name: LedFX - TV
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      styles: |-
                        .bubble-icon-container {
                          background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                        } 
                        .bubble-range-fill { 
                          
                          opacity: 0.8 !important;
                        }                    
                      icon: mdi:television-classic
                - type: custom:state-switch
                  entity: input_boolean.scene_musicfx
                  default: 'off'
                  states:
                    'on':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.ledfx_192_168_2_33_wled_ceiling
                      show_state: true
                      show_attribute: true
                      name: LedFX - Ceiling
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      use_accent_color: true
                      styles: >-

                        .bubble-icon {
                            color:  'var(--primary-color)'  !important;            
                            opacity: 1 !important;
                            filter: 'brightness(1.15)' !important;
                        } 


                        .bubble-icon-container {
                            background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                            color: var(--primary-background-color)
                            filter: brightness(1.55) !important;
                        }  


                        .bubble-range-fill { 
                          display: ${state === 'on' ? '' : 'none'} !important;
                          filter: brightness(0.15) !important;

                          opacity: 1.75 !important;
                        }        
                        ${card.querySelector('.bubble-state').innerText =
                        (state ===

                        'on'  ? "On • " +

                        Math.round(hass.states[entity].attributes.brightness/255*100)+"%"

                        : 'Off')};    
                      icon: mdi:light-flood-down
                    'off':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.wled_ceiling
                      show_state: true
                      show_attribute: true
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      use_accent_color: true
                      styles: >-

                        .bubble-icon {
                            color:  'var(--primary-color)'  !important;            
                            opacity: 1 !important;
                            filter: 'brightness(1.15)' !important;
                        } 


                        .bubble-icon-container {
                            background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                            color: var(--primary-background-color)
                            filter: brightness(1.55) !important;
                        }  


                        .bubble-range-fill { 
                          display: ${state === 'on' ? '' : 'none'} !important;
                          filter: brightness(0.15) !important;

                          opacity: 1.75 !important;
                        }        
                        ${card.querySelector('.bubble-state').innerText =
                        (state ===

                        'on'  ? "On • " +

                        Math.round(hass.states[entity].attributes.brightness/255*100)+"%"

                        : 'Off')}; 
                      icon: mdi:light-flood-down
                      name: Ceiling
                - type: custom:state-switch
                  entity: input_boolean.scene_musicfx
                  default: 'off'
                  states:
                    'off':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.wled_bed
                      show_state: true
                      show_attribute: true
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      use_accent_color: true
                      styles: >-

                        .bubble-icon {
                            color:  'var(--primary-color)'  !important;            
                            opacity: 1 !important;
                            filter: 'brightness(1.15)' !important;
                        } 


                        .bubble-icon-container {
                            background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                            color: var(--primary-background-color)
                            filter: brightness(1.55) !important;
                        }  


                        .bubble-range-fill { 
                          display: ${state === 'on' ? '' : 'none'} !important;
                          filter: brightness(0.15) !important;

                          opacity: 1.75 !important;
                        }        
                        ${card.querySelector('.bubble-state').innerText =
                        (state ===

                        'on'  ? "On • " +

                        Math.round(hass.states[entity].attributes.brightness/255*100)+"%"

                        : 'Off')};                     
                      icon: mdi:bed-outline
                      name: Bed
                    'on':
                      type: custom:bubble-card
                      card_type: button
                      button_type: slider
                      entity: light.ledfx_192_168_2_33_wled_bed
                      show_state: true
                      show_attribute: true
                      name: LedFX - Bed
                      attribute: brightness
                      card_layout: large
                      tap_action:
                        action: toggle
                      double_tap_action:
                        action: more-info
                      styles: |-
                        .bubble-icon-container {
                          background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                            opacity: 1 !important;
                        } 
                        .bubble-range-fill { 
                          
                          opacity: 0.8 !important;
                        }                      
                      icon: mdi:bed-outline
              layout:
                grid-template-columns: 50% 50%
                grid-template-rows: auto
                margin: 0px 0px 0px 0px
            - type: custom:bubble-card
              card_type: empty-column
          grid_options:
            columns: full
      column_span: 1
    - type: grid
      cards:
        - type: custom:gap-card
          visibility:
            - condition: screen
              media_query: '(min-width: 2560px)'
        - type: entities
          entities:
            - type: custom:bubble-card
              card_type: button
              entity: binary_sensor.lucy_pc
              sub_button:
                - entity: button.lucy_pc_sleep
                  icon: mdi:sleep
                  tap_action:
                    action: call-service
                    target: {}
                    data:
                      action: save
                    service: script.save_restore_states
                  show_name: true
                  name: Sleep
                - entity: button.lucy_pc_hibernate_2
                  icon: mdi:snowflake
                  state_background: true
                  show_background: true
                  show_name: true
                  name: Hibernate
                  tap_action:
                    action: toggle
                  show_state: false
                  show_attribute: true
              show_state: true
              name: ''
              styles: |
                .bubble-sub-button {
                  width: 105px !important;

                }
              card_layout: large
              button_type: state
              icon: phu:desktop-computer
          visibility:
            - condition: user
              users:
                - dd8da2ed051341f086805992caab5ee3
        - type: entities
          entities:
            - type: custom:bubble-card
              card_type: separator
              name: Media Player
              button_type: name
              show_icon: true
              card_layout: large
              sub_button: []
              styles: |
                .bubble-sub-button {
                    #background-color: rgba(206, 108, 15, 1); 
                    #height: 29px;
                    
                    #font-size: 16px !important;
                    #font-style: bold !important;
                }                  
                .bubble-sub-button-icon { 
                  --mdc-icon-size: 24px !important;
                }
                .bubble-sub-button-1{
                    background-color: ${hass.states['input_boolean.scene_minimal'].state==='on' ? 'var(--primary-color)' : ''} !important;
                }                 
                .bubble-sub-button-2{
                    background-color: ${hass.states['input_boolean.scene_musicfx'].state==='on' ? 'var(--primary-color)' : ''} !important;
                } 
                .bubble-sub-button-3{
                    background-color: ${hass.states['input_boolean.scene_uv_only'].state==='on' ? 'var(--primary-color)' : ''} !important;
                }   
                .bubble-sub-button-4{
                    background-color: ${hass.states['input_boolean.scene_tv_bar'].state==='on' ? 'var(--primary-color)' : ''} !important;
                }
                .bubble-sub-button-5{
                    background-color: var(--deep-orange-color) !important;
                }                   
                .bubble-icon {
                  #font-size: large !important;
                  #font-style: bold !important;
                  color: var(--white-color) !important;
                  opacity: 1 !important;    
                  #--mdc-icon-size: 28px
                }
              show_name: true
              icon: mdi:multimedia
            - type: custom:state-switch
              entity: media_player.vlc_lucy_s_room_2
              default: idle
              states:
                idle:
                  entity: media_player.vlc_lucy_s_room_2
                  type: custom:mini-media-player
                  icon: mdi:vlc
                  artwork: material
                  info: scroll
                  background: https://wallpaperaccess.com/full/1756508.jpg
                  scale: 1
                  idle_view:
                    when_idle: true
                    when_paused: true
                    when_standby: true
                    after: 30
                  hide:
                    power: true
                    next: true
                    prev: true
                    runtime: false
                    icon_state: false
                    power_state: false
                  shortcuts:
                    columns: 3
                    column_height: 32
                    buttons:
                      - type: service
                        id: media_player.play_media
                        data:
                          media_content_type: music
                          media_content_id: >-
                            media-source://radio_browser/960ea1eb-0601-11e8-ae97-52543be04c81
                          entity_id: media_player.vlc_lucy_s_room_2
                        cover: >-
                          https://www.phonostar.de/images/auto_created/hardbasefm2184x184.png
                      - type: service
                        id: media_player.play_media
                        data:
                          media_content_type: music
                          media_content_id: >-
                            media-source://radio_browser/960e96f3-0601-11e8-ae97-52543be04c81
                          entity_id: media_player.vlc_lucy_s_room_2
                        cover: >-
                          https://www.technobase.fm/content/images/site/logo-technobase.fm.png
                      - type: service
                        id: script.webradio
                        data:
                          entity_id: media_player.vlc_lucy_s_room_2
                        icon: mdi:radio-tower
                        name: Custom
                  source: full
                unavailable:
                  type: custom:bubble-card
                  card_type: button
                  tap_action:
                    action: toggle
                  entity: button.lucy_pc_startvlc
                  styles: >-
                    .bubble-name {
                      color: var(--orange-color) !important;
                    } .bubble-state {
                      color: var(--disabled-color) !important; 
                    } .card-content {
                      width: 100% !important;
                      justify-content: flex-end !important;;
                    }

                    .bubble-name-container {            
                      margin: 0.0em !important;
                    }

                    .bubble-icon {
                      opacity: 1 !important;
                      color: var(--disabled-color) !important; 
                      filter: contrast(1.2) !important;
                    }          

                    .bubble-icon-container {
                      color: transparent !important;            
                      background-color: var(--secondary-background-color) !important; 
                      opacity: 0.75 !important;
                      
                    } .bubble-button-card-container {
                        #display: ${hass.states['media_player.vlc_lucy_s_room_2'].state==='idle' ? 'none' : ''};
                        opacity: 1 !important;
                    }    .bubble-button-background {
                        opacity: 0.85 !important;
                    }       


                    ${card.querySelector('.bubble-state').innerText = "Run
                    vlc.exe on LUCY-PC"};
                  icon: mdi:vlc
                  card_layout: large
                  show_state: true
                  button_action:
                    hold_action:
                      action: toggle
                    tap_action:
                      action: toggle
                  show_name: true
                  name: Start VLC
                  button_type: state
                unknown:
                  type: custom:bubble-card
                  card_type: button
                  tap_action:
                    action: toggle
                  entity: button.lucy_pc_startvlc
                  styles: >-
                    .bubble-name {
                      color: var(--orange-color) !important;
                    } .bubble-state {
                      color: var(--disabled-color) !important; 
                    } .card-content {
                      width: 100% !important;
                      justify-content: flex-end !important;;
                    }

                    .bubble-name-container {            
                      margin: 0.0em !important;
                    }

                    .bubble-icon {
                      opacity: 1 !important;
                      color: var(--disabled-color) !important; 
                      filter: contrast(1.2) !important;
                    }          

                    .bubble-icon-container {
                      color: transparent !important;            
                      background-color: var(--secondary-background-color) !important; 
                      opacity: 0.75 !important;
                      
                    } .bubble-button-card-container {
                        #display: ${hass.states['media_player.vlc_lucy_s_room_2'].state==='idle' ? 'none' : ''};
                        opacity: 1 !important;
                    }    .bubble-button-background {
                        opacity: 0.85 !important;
                    }       


                    ${card.querySelector('.bubble-state').innerText = "Run
                    vlc.exe on LUCY-PC"};
                  icon: mdi:vlc
                  card_layout: large
                  show_state: true
                  button_action:
                    hold_action:
                      action: toggle
                    tap_action:
                      action: toggle
                  show_name: true
                  name: Start VLC
                  button_type: state
            - type: custom:fold-entity-row
              padding: 0px
              head:
                type: custom:bubble-card
                card_type: separator
                name: Custom URL
                icon: mdi:web-plus
                button_type: name
                show_icon: true
                card_layout: normal
                styles: |-
                  .bubble-name {
                    color: var(--disabled-color) !important;
                    font-size: 12px
                  }   
                    .bubble-icon {
                      opacity: 0.8 !important;
                      color: var(--disabled-color) !important; 
                      filter: contrast(1.2) !important;
                      --mdc-icon-size: 20px
                    }         
              entities:
                - type: custom:text-input-row
                  entity: input_text.webradio_url
                  name: Custom Media URL
            - type: section
            - type: custom:bubble-card
              card_type: empty-column
            - entity: media_player.spotify_player
              type: custom:mini-media-player
              icon: mdi:spotify
              name: Spotify
              artwork: cover
              background: https://cdn.wallpapersafari.com/73/36/kjoK1u.png
              source: full
              scale: 1
              hide:
                power: true
                next: false
                prev: false
                icon_state: false
                power_state: false
                shuffle: false
                repeat: false
              shortcuts:
                name: Playlists
                columns: 4
                column_height: 24
                label: Select playlist...
                list:
                  - type: playlist
                    id: >-
                      https://open.spotify.com/playlist/1psnCErmODnQX1sgwy4SYe?si=b8d1dfc563c049db
                    name: 😽 Cozy Couch Cats 🛋️
                  - type: playlist
                    id: >-
                      https://open.spotify.com/playlist/0KiYAIxlDkkFH9wggNLJXQ?si=11a3cde88c044211
                    icon: mdi:cat
                  - type: playlist
                    id: >-
                      https://open.spotify.com/playlist/4mXpy8lTVGq0j47ZIArtyt?si=ee6a7a2fca35414f
                    icon: mdi:star-shooting
                  - type: playlist
                    id: >-
                      https://open.spotify.com/playlist/6SdjgBzS7VibMbCJp92JkW?si=0ff375e8396c4e3b
                    icon: mdi:rocket-launch
              sound_mode: icon
            - type: section
            - type: custom:bubble-card
              card_type: empty-column
            - entity: media_player.fuchscast
              type: custom:mini-media-player
              icon: mdi:cast
              name: Fuchscast
              artwork: material
              background: https://wallpaperaccess.com/full/1601032.jpg
              source: full
              scale: 1.1
              idle_view:
                when_idle: true
                when_paused: true
                when_standby: true
                after: 30
              hide:
                next: false
                prev: false
                runtime: false
                icon_state: false
                power_state: false
                shuffle: false
                repeat: false
              visibility:
                - condition: state
                  entity: media_player.fuchscast
                  state: playing
              group: false
            - type: custom:bubble-card
              card_type: empty-column
          grid_options:
            columns: full
        - entity: binary_sensor.cubey_nas
          type: custom:bubble-card
          card_type: button
          button_type: state
          sub_button: []
          card_layout: large
        - type: custom:state-switch
          entity: media_player.vlc_lucy_s_room_2
          default: idle
          states:
            unavailable: null
            unknown: null
            idle:
              entity: media_player.vlc_lucy_s_room_2
              type: custom:mini-media-player
              icon: mdi:vlc
              artwork: material
              background: >-
                https://wallpapers.com/images/hd/dark-orange-background-ufee048v9o6p6eqt.jpg
              scale: 1
              idle_view:
                when_idle: true
                when_paused: true
                when_standby: true
                after: 30
              hide:
                power: true
                next: true
                prev: true
                runtime: false
                name: true
                icon_state: false
                power_state: false
              shortcuts:
                columns: 3
                column_height: 32
                buttons:
                  - type: service
                    id: media_player.play_media
                    data:
                      media_content_type: music
                      media_content_id: >-
                        media-source://radio_browser/960ea1eb-0601-11e8-ae97-52543be04c81
                      entity_id: media_player.vlc_lucy_s_room_2
                    cover: >-
                      https://www.phonostar.de/images/auto_created/hardbasefm2184x184.png
                  - type: service
                    id: media_player.play_media
                    data:
                      media_content_type: music
                      media_content_id: >-
                        media-source://radio_browser/960e96f3-0601-11e8-ae97-52543be04c81
                      entity_id: media_player.vlc_lucy_s_room_2
                    cover: >-
                      https://www.technobase.fm/content/images/site/logo-technobase.fm.png
                  - type: service
                    id: script.webradio
                    data:
                      entity_id: media_player.vlc_lucy_s_room_2
                    icon: mdi:radio-tower
                    name: Custom
              source: full
              visibility:
                - condition: and
                  conditions:
                    - condition: state
                      entity: media_player.vlc_lucy_s_room_2
                      state_not: unavailable
                    - condition: state
                      entity: media_player.vlc_lucy_s_room_2
                      state_not: unknown
    - type: grid
      cards:
        - type: custom:gap-card
          visibility:
            - condition: screen
              media_query: '(min-width: 2560px)'
        - type: vertical-stack
          cards:
            - type: custom:bubble-card
              card_type: pop-up
              hash: '#add-note'
              button_type: state
              show_name: true
              show_icon: true
              icon: mdi:notebook-plus
              sub_button:
                - entity: input_select.lists
                  show_state: true
                  show_name: false
                  show_attribute: false
              card_layout: large
              show_last_changed: false
              show_state: true
              name: Add Note
              margin_top_mobile: 60vh
              show_header: false
              margin_top_desktop: 60vh
              bg_color: ''
              styles: |-
                .bubble-background: {
                  background-color: var(--primary-background-color) !important;
                  opacity: 0 !important;
                }
              bg_opacity: '70'
              bg_blur: '90'
              backdrop_blur: '100'
              shadow_opacity: '100'
            - type: custom:layout-card
              cards:
                - type: custom:text-input-row
                  entity: input_text.add_list_item
              layout_type: custom:grid-layout
            - type: custom:layout-card
              layout_type: custom:grid-layout
              cards:
                - type: custom:bubble-card
                  tap_action:
                    action: perform-action
                    perform_action: script.add_list_item_2
                    data:
                      entity: todo.todo_later
                  button_action:
                    tap_action:
                      action: perform-action
                      perform_action: script.add_list_item_2
                    data:
                      entity: todo.todo_later
                  icon: mdi:book-plus
                  name: Notes
                  card_type: button
                  button_type: name
                  styles: |-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 
                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  
                    .bubble-button-background { 
                      background:  'var(--primary-color)'  !important;
                      display: ${state === 'on' ? '' : 'none'} !important;
                      filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    }        
                - type: custom:bubble-card
                  card_type: button
                  button_type: name
                  icon: mdi:cart-plus
                  tap_action:
                    action: perform-action
                    perform_action: script.add_list_item_2
                    data:
                      entity: todo.lebensmittel
                  button_action:
                    tap_action:
                      action: perform-action
                      perform_action: script.add_list_item_2
                    data:
                      entity: todo.lebensmittel
                  name: Shopping
                  styles: |-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 
                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  
                    .bubble-button-background { 
                      background:  'var(--primary-color)'  !important;
                      display: ${state === 'on' ? '' : 'none'} !important;
                      filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    }  
                - type: custom:bubble-card
                  card_type: button
                  button_type: name
                  icon: mdi:invoice-text-plus
                  name: Tasks
                  styles: |-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 
                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  
                    .bubble-button-background { 
                      background:  'var(--primary-color)'  !important;
                      display: ${state === 'on' ? '' : 'none'} !important;
                      filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    }            
                  tap_action:
                    action: perform-action
                    perform_action: script.add_list_item_2
                    data:
                      entity: todo.todo
                  button_action:
                    tap_action:
                      action: perform-action
                      perform_action: script.add_list_item_2
                    data:
                      entity: todo.todo
              layout:
                grid-template-columns: 33.33% 33.33% 33.33%
                grid-template-rows: auto
                margin: '-10px 0px 0px 0px'
                padding: 0 0 0 0
        - type: entities
          entities:
            - type: custom:bubble-card
              card_type: select
              entity: input_select.scene_saves
              sub_button:
                - entity: script.save_restore_states
                  icon: mdi:content-save-check
                  tap_action:
                    action: call-service
                    target: {}
                    data:
                      action: save
                    service: script.save_restore_states
                  show_name: true
                  name: Save
                - entity: script.save_restore_states
                  icon: mdi:check-bold
                  state_background: true
                  show_background: true
                  show_name: true
                  name: Apply
                  tap_action:
                    action: call-service
                    target: {}
                    data:
                      action: restore
                    service: script.save_restore_states
              show_state: true
              name: States - Save & Restore
              styles: |
                .bubble-sub-button {
                  width: 100% !important;

                }
              card_layout: large
          visibility:
            - condition: user
              users:
                - dd8da2ed051341f086805992caab5ee3
        - type: custom:layout-card
          layout_type: custom:grid-layout
          cards:
            - type: custom:bubble-card
              card_type: button
              tap_action:
                action: toggle
              styles: >-
                .bubble-name {
                  font-size: 16px !important;
                              width: 100% !important;
                  }
                .card-content {
                  width: 100% !important;
                  justify-content: center !important;;
                } .bubble-name-container {            
                  width: 100% !important;
                  justify-content: center !important;
                } } .bubble-button-card-container {
                    opacity: 1 !important;
                }    .bubble-button-background {
                  background-color: ${state >= 27 || state <= 10 ? 'rgba(122, 1, 44, 1.81)' : state >= 18 && state <=25 ? 'teal' : 'orange'} !important;
                    opacity: 0.85 !important;
                }       

                } .bubble-icon {
                    color: red !important;
                    opacity: 0.85 !important;
                }       

                ${card.querySelector('.bubble-name').innerText=hass.states[entity].state
                + " °C"};

                ${card.querySelector('.bubble-state').innerText='Temperature'};          
              icon: mdi:thermometer
              card_layout: large
              show_state: true
              button_action:
                hold_action:
                  action: toggle
              show_name: true
              button_type: state
              entity: sensor.lucy_s_room_temperature
            - type: custom:bubble-card
              card_type: button
              tap_action:
                action: toggle
              styles: >-
                .bubble-name {
                  font-size: 16px !important;
                              width: 100% !important;
                  }
                .card-content {
                  width: 100% !important;
                  justify-content: center !important;;
                } .bubble-name-container {            
                  width: 100% !important;
                  justify-content: center !important;
                } } .bubble-button-card-container {
                    opacity: 1 !important;
                }    .bubble-button-background {
                  background-color: ${state >= 80 || state <= 30 ? 'rgba(122, 1, 44, 1.81)' : state >= 40 && state <=60 ? 'teal' : 'orange'} !important;
                    opacity: 0.85 !important;
                }       

                } .bubble-icon {
                    color: red !important;
                    opacity: 0.85 !important;
                }       

                ${card.querySelector('.bubble-name').innerText=hass.states[entity].state
                + " %"};

                ${card.querySelector('.bubble-state').innerText='Humidity'};          
              icon: mdi:water
              card_layout: large
              show_state: true
              button_action:
                hold_action:
                  action: toggle
              show_name: true
              button_type: state
              entity: sensor.lucy_env_unit_humidity_sht40
            - type: custom:bubble-card
              card_type: button
              tap_action:
                action: toggle
              styles: >-
                .bubble-name {
                  font-size: 16px !important;
                              width: 100% !important;
                  }
                .card-content {
                  width: 100% !important;
                  justify-content: center !important;;
                } .bubble-name-container {            
                  width: 100% !important;
                  justify-content: center !important;
                } } .bubble-button-card-container {
                    opacity: 1 !important;
                }    .bubble-button-background {
                  background-color: ${state >= 100 || state <= 10 ? 'rgba(12, 12, 44, 1.81)' : state >= 40 && state <=80 ? 'rgba(166,111,1,1)' : 'orange'} !important;
                    opacity: 0.85 !important;
                }       

                } .bubble-icon {
                    color: red !important;
                    opacity: 0.85 !important;
                }       

                ${card.querySelector('.bubble-name').innerText=hass.states[entity].state
                + " lx"};

                ${card.querySelector('.bubble-state').innerText='Illuminance'};          
              icon: mdi:sun-wireless
              card_layout: large
              show_state: true
              button_action:
                hold_action:
                  action: toggle
              show_name: true
              button_type: state
              entity: sensor.lucy_env_unit_illuminance
          layout:
            grid-template-columns: 33.33% 33.33% 33.33%
            grid-template-rows: auto
            margin: 10px 0px -8px 0px
            padding: 0 0 0 0
        - type: custom:bubble-card
          card_type: horizontal-buttons-stack
          highlight_current_view: true
          styles: |-
            styles: |
              .bubble-horizontal-buttons-stack-card-container {
                border-style: hidden !important;
                margin: 0px !important;
                border-color: var(--card-background-color) !important;
                #background-color: var(--card-background-color) !important;
                #background-color: var(--primary-color) !important;
              }
              .bubble-background-color {
                background-color: var(--primary-color) !important;
                opacity: 0.25 !important;
                border-style: hidden !important;
                border-color: var(--card-background-color) !important;
                #width: 50px !important;
                #height: 50px !important;
                justify-content: center !important;
              }
              .horizontal-buttons-stack-container {
                border-color: var(--card-background-color) !important;
                border-style: hidden !important;
              }

              .bubble-icon {
              #--mdc-icon-size: 28px !important;
              }
          visibility:
            - condition: user
              users:
                - dd8da2ed051341f086805992caab5ee3
                - cb71643a273740a7ac63a971c62bf646
          4_icon: mdi:cart
          4_link: lists
          3_link: /lovelace/Cuddle-cave
          3_icon: mdi:heart
          2_link: /lovelace/lucys
          2_icon: mdi:alpha-l-circle
          1_link: /lovelace/info
          1_icon: mdi:information-slab-circle
          5_link: '#kitchen-timer'
          5_icon: mdi:timer-plus
          6_link: /lovelace/Pokestats
          6_icon: mdi:pokeball
    - type: grid
      cards:
        - type: vertical-stack
          cards:
            - type: custom:bubble-card
              card_type: pop-up
              hash: '#wled-advanced'
              show_header: true
              button_type: state
              entity: light.wled_controller
              tap_action:
                action: toggle
              sub_button:
                - entity: select.wled_live_override
                  show_name: false
                  icon: mdi:debug-step-over
                  show_state: true
              card_layout: large
              columns: 4
              rows: 1
              show_icon: true
              icon: mdi:led-strip-variant
              name: WLED Controller
              show_state: true
              show_attribute: true
              attribute: brightness
              show_last_changed: true
              styles: |2-
                  
                    .bubble-sub-button-1 {
                      background-color: var(--card-background-color) !important;
                    }  
              margin_top_mobile: 50vh
              bg_color: var(--secondary-background-color)
              use_accent_color: true
            - type: custom:bubble-card
              card_type: separator
              show_icon: true
              icon: mdi:cog
              name: FX Config - Global
            - type: horizontal-stack
              cards:
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  name: Intensity
                  show_state: true
                  icon: mdi:ray-vertex
                  card_layout: large
                  sub_button: []
                  button_type: slider
                  entity: input_number.wled_group_intensity
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:gauge
                  name: Speed
                  card_layout: large
                  sub_button: []
                  button_type: slider
                  entity: input_number.wled_group_speed
                - type: custom:bubble-card
                  card_type: button
                  button_type: switch
                  card_layout: large
                  entity: switch.wled_group_reverse
                  name: Reverse
                  icon: mdi:swap-horizontal-bold
                  show_name: true
                  show_state: true
                  show_icon: true
                  show_background: true
                  tap_action:
                    action: toggle
                  styles: ''
            - type: custom:bubble-card
              card_type: empty-column
              show_icon: true
              icon: mdi:cog
              name: Controller Settings
            - type: custom:bubble-card
              card_type: separator
              hash: '#umbreon-advanced'
              show_header: true
              button_type: slider
              entity: light.wled_umbreon
              tap_action:
                action: toggle
              double_tap_action:
                action: more-info
              sub_button: []
              hold_action:
                action: more-info
              card_layout: large
              columns: 4
              rows: 1
              show_icon: true
              icon: mdi:pokeball
              name: Umbreon
              show_state: true
              show_attribute: true
              attribute: brightness
              show_last_changed: true
              margin_top_mobile: 50vh
              bg_color: var(--secondary-background-color)
            - type: horizontal-stack
              cards:
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  name: Intensity
                  show_state: true
                  icon: mdi:ray-vertex
                  card_layout: normal
                  sub_button: []
                  button_type: slider
                  entity: number.wled_umbreon_intensity
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:gauge
                  name: Speed
                  card_layout: normal
                  sub_button: []
                  button_type: slider
                  entity: number.wled_umbreon_speed
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:swap-horizontal-bold
                  name: Reverse
                  card_layout: large
                  sub_button: []
                  button_type: switch
                  entity: switch.wled_umbreon_reverse
            - type: custom:bubble-card
              card_type: separator
              hash: '#ghost-advanced'
              show_header: true
              button_type: slider
              entity: light.wled_ghost
              tap_action:
                action: toggle
              double_tap_action:
                action: more-info
              sub_button: []
              hold_action:
                action: more-info
              card_layout: large
              columns: 4
              rows: 1
              show_icon: true
              icon: mdi:ghost
              name: Ghost
              show_state: true
              show_attribute: true
              attribute: brightness
              show_last_changed: true
              margin_top_mobile: 50vh
              bg_color: var(--secondary-background-color)
            - type: horizontal-stack
              cards:
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  name: Intensity
                  show_state: true
                  icon: mdi:ray-vertex
                  card_layout: normal
                  sub_button: []
                  button_type: slider
                  entity: number.wled_ghost_intensity
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:gauge
                  name: Speed
                  card_layout: normal
                  sub_button: []
                  button_type: slider
                  entity: number.wled_ghost_speed
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:swap-horizontal-bold
                  name: Reverse
                  card_layout: large
                  sub_button: []
                  button_type: switch
                  entity: switch.wled_ghost_reverse
            - type: custom:bubble-card
              card_type: separator
              hash: '#ceiling-advanced'
              show_header: true
              button_type: slider
              entity: light.wled_ceiling
              tap_action:
                action: toggle
              double_tap_action:
                action: more-info
              sub_button: []
              hold_action:
                action: more-info
              card_layout: large
              columns: 4
              rows: 1
              show_icon: true
              icon: mdi:light-flood-down
              name: Ceiling
              show_state: true
              show_attribute: true
              attribute: brightness
              show_last_changed: true
              margin_top_mobile: 50vh
              bg_color: var(--secondary-background-color)
            - type: horizontal-stack
              cards:
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  name: Intensity
                  show_state: true
                  icon: mdi:ray-vertex
                  card_layout: normal
                  sub_button: []
                  button_type: slider
                  entity: number.wled_ceiling_intensity
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:gauge
                  name: Speed
                  card_layout: normal
                  sub_button: []
                  button_type: slider
                  entity: number.wled_ceiling_speed
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:swap-horizontal-bold
                  name: Reverse
                  card_layout: large
                  sub_button: []
                  button_type: switch
                  entity: switch.wled_ceiling_reverse
            - type: custom:bubble-card
              card_type: separator
              hash: '#tv-advanced'
              show_header: true
              button_type: slider
              entity: light.wled_tv
              tap_action:
                action: toggle
              double_tap_action:
                action: more-info
              sub_button: []
              hold_action:
                action: more-info
              card_layout: large
              columns: 4
              rows: 1
              show_icon: true
              icon: mdi:television-classic
              name: TV
              show_state: true
              show_attribute: true
              attribute: brightness
              show_last_changed: true
              margin_top_mobile: 50vh
              bg_color: var(--secondary-background-color)
            - type: horizontal-stack
              cards:
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  name: Intensity
                  show_state: true
                  icon: mdi:ray-vertex
                  card_layout: normal
                  sub_button: []
                  button_type: slider
                  entity: number.wled_tv_intensity
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:gauge
                  name: Speed
                  card_layout: normal
                  sub_button: []
                  button_type: slider
                  entity: number.wled_tv_speed
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:swap-horizontal-bold
                  name: Reverse
                  card_layout: large
                  sub_button: []
                  button_type: switch
                  entity: switch.wled_tv_reverse
            - type: custom:bubble-card
              card_type: separator
              hash: '#desktop-advanced'
              show_header: true
              button_type: slider
              entity: light.wled_desktop
              tap_action:
                action: toggle
              double_tap_action:
                action: more-info
              sub_button: []
              hold_action:
                action: more-info
              card_layout: large
              columns: 4
              rows: 1
              show_icon: true
              icon: mdi:desktop-classic
              name: Desktop
              show_state: true
              show_attribute: true
              attribute: brightness
              show_last_changed: true
              margin_top_mobile: 50vh
              bg_color: var(--secondary-background-color)
            - type: horizontal-stack
              cards:
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  name: Intensity
                  show_state: true
                  icon: mdi:ray-vertex
                  card_layout: normal
                  sub_button: []
                  button_type: slider
                  entity: number.wled_desktop_intensity
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:gauge
                  name: Speed
                  card_layout: normal
                  sub_button: []
                  button_type: slider
                  entity: number.wled_desktop_speed
                - type: custom:bubble-card
                  card_type: button
                  show_name: true
                  show_state: true
                  icon: mdi:swap-horizontal-bold
                  name: Reverse
                  card_layout: large
                  sub_button: []
                  button_type: switch
                  entity: switch.wled_desktop_reverse
          layout_options:
            grid_columns: 4
            grid_rows: auto
  max_columns: 3
  title: Lucy's Room
  icon: mdi:alpha-l-circle
  theme: Cosmic Dream
  cards: []
  dense_section_placement: true
  visible:
    - user: a50b22c1dd2248a9aa671a0bdd1c8e70
  badges: []
  background:
    opacity: 63
    alignment: center
    size: cover
    repeat: no-repeat
    attachment: fixed
    image: /api/image/serve/58e5bd84c4fc9911ece1a970133c0523/original
  header:
    card:
      type: markdown
      text_only: true
      content: |
        # 🚀 Foxxy's Universe 🦊



        UwU
            
    layout: center
    badges_position: bottom
  top_margin: false
  subview: false
- type: sections
  max_columns: 2
  path: Cuddle-cave
  dense_section_placement: true
  icon: mdi:heart-circle
  sections:
    - type: grid
      cards:
        - type: custom:gap-card
          visibility:
            - condition: screen
              media_query: '(min-width: 1280px)'
        - type: entities
          entities:
            - type: custom:bubble-card
              card_type: separator
              name: Lights
              button_type: name
              show_icon: true
              card_layout: large
              sub_button:
                - tap_action:
                    action: navigate
                    navigation_path: /lovelace/wled
                  icon: phu:light-strip
                  name: WLED WebUI
                  show_name: false
              styles: |
                .bubble-icon {
                  #font-size: large !important;
                  #font-style: bold !important;
                  color: var(--white-color) !important;
                  opacity: 1 !important;    
                  #--mdc-icon-size: 28px
                }
              show_name: true
              icon: mdi:lightbulb-group
            - type: custom:bubble-card
              card_type: button
              button_type: slider
              styles: >-
                .bubble-range-fill { 
                  display: ${state === 'on' ? '' : 'none'} !important;
                  filter: brightness(0.15) !important;

                  opacity: 1.75 !important;
                }         ${card.querySelector('.bubble-state').innerText =
                (state ===

                'on'  ? "On" 


                : 'Off')};     

                .bubble-icon { 
                  display: ${state === 'on' ? '' : 'none'} !important;
                  
                  color: ${state==='off' ? 'var(--secondary-background-color)' : ''} !important;
                  #background-color: ${state==='off' ? 'var(--secondary-background-color)' : hass.states['sensor.wled_estimated_current'].state >= 10080  ? '#c27d00' : hass.states['sensor.wled_estimated_current'].state >= 13440 ? '#a40000' : 'rgb(56, 14, 136)'} !important;
                  filter: brightness(1.35) !important;
                  opacity: 0.75 !important;     
              show_attribute: true
              name: Master
              tap_action:
                action: perform-action
                perform_action: switch.toggle
                target:
                  entity_id: switch.switch_switch_0
                data: {}
              card_layout: large
              entity: light.games_room_group
              show_state: true
              show_icon: true
              use_accent_color: true
              icon: mdi:heart-multiple
              button_action:
                tap_action:
                  action: perform-action
                  perform_action: switch.toggle
                  target:
                    entity_id: switch.switch_switch_0
                  data: {}
                hold_action:
                  action: more-info
                double_tap_action:
                  action: more-info
              double_tap_action:
                action: more-info
              hold_action:
                action: more-info
            - type: custom:layout-card
              layout_type: custom:grid-layout
              margin: 0px 0px 0px 0px
              padding: 0 0 0 0
              cards:
                - type: custom:bubble-card
                  card_type: button
                  button_type: slider
                  entity: light.cave_ceiling
                  show_state: true
                  show_attribute: true
                  attribute: brightness
                  card_layout: large
                  tap_action:
                    action: toggle
                  double_tap_action:
                    action: more-info
                  use_accent_color: true
                  styles: |-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 

                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  
                    .bubble-sub-button-2 {
                        background: ${state==='on' ? 'var(--deep-purple-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }
                    .bubble-sub-button-1 {
                        background: ${state==='on' ? 'var(--deep-purple-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(0.5) !important;
                    }
                    .bubble-sub-button-2 {
                        background: ${state==='on' ? 'var(--deep-purple-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }          
                    .bubble-sub-button-3 {
                        background: ${state==='on' ? 'var(--deep-orange-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 0.71 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  
                    .bubble-range-fill { 
                      display: ${state === 'on' ? '' : 'none'} !important;
                      #filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    }                              
                  name: Ceiling
                  icon: bha:ceiling-downlight
                  sub_button:
                    - entity: light.games_room_ceiling
                      visibility:
                        - condition: and
                          conditions:
                            - condition: state
                              entity: light.games_room_ceiling
                              state: 'on'
                            - condition: state
                              entity: sensor.games_room_ceiling_mode
                              state: '0'
                      icon: mdi:shimmer
                      light_background: false
                      state_background: false
                      select_attribute: effect_list
                      show_state: false
                      show_attribute: false
                      attribute: effect
                    - show_background: true
                      icon: mdi:shimmer
                      tap_action:
                        action: call-service
                        service: script.govee_control
                        data:
                          mode: effect
                          sensor: sensor.games_room_ceiling_attributes
                        target: {}
                      show_state: false
                      show_arrow: false
                      show_last_changed: false
                      state_background: true
                      visibility:
                        - condition: or
                          conditions:
                            - condition: state
                              entity: sensor.games_room_ceiling_mode
                              state_not: '0'
                            - condition: state
                              entity: light.games_room_ceiling
                              state: 'off'
                      light_background: false
                    - show_background: true
                      icon: bha:ceiling-downlight
                      tap_action:
                        action: call-service
                        service: script.govee_control
                        data:
                          mode: color_temp
                          sensor: sensor.games_room_ceiling_attributes
                        target: {}
                      show_state: false
                      show_arrow: false
                      show_last_changed: false
                      state_background: true
                      visibility:
                        - condition: or
                          conditions:
                            - condition: state
                              entity: sensor.games_room_ceiling_mode
                              state_not: '1'
                            - condition: state
                              entity: light.games_room_ceiling
                              state: 'off'
                - type: custom:bubble-card
                  card_type: button
                  button_type: slider
                  entity: light.games_room_ambient
                  show_state: true
                  show_attribute: true
                  attribute: brightness
                  card_layout: large
                  tap_action:
                    action: toggle
                  double_tap_action:
                    action: more-info
                  use_accent_color: true
                  styles: >-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 


                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  


                    .bubble-button-card-container { 
                      background: ${state==='on' ? 'var(--primary-color)' : 'var(--secondary-background-color)'} !important;             
                      #filter: brightness(0.95) !important;

                      #opacity: 1.75 !important;
                    }         ${card.querySelector('.bubble-state').innerText
                    = (state ===

                    'on'  ? "On" 


                    : 'Off')};                      
                  name: Ambient
                - type: custom:bubble-card
                  card_type: button
                  button_type: slider
                  entity: light.games_room_vitrine
                  show_state: true
                  show_attribute: true
                  attribute: brightness
                  card_layout: large
                  tap_action:
                    action: toggle
                  double_tap_action:
                    action: more-info
                  use_accent_color: true
                  styles: |-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 

                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  

                    .bubble-range-fill { 
                      display: ${state === 'on' ? '' : 'none'} !important;
                      #filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    }                            
                  name: Vitrine
                  sub_button:
                    - entity: light.games_room_vitrine
                      select_attribute: effect_list
                - type: custom:bubble-card
                  card_type: button
                  button_type: slider
                  entity: light.games_room_moon
                  show_state: true
                  show_attribute: true
                  attribute: brightness
                  card_layout: large
                  tap_action:
                    action: toggle
                  double_tap_action:
                    action: more-info
                  use_accent_color: true
                  styles: |-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 

                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  

                    .bubble-range-fill { 
                      display: ${state === 'on' ? '' : 'none'} !important;
                      #filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    }                            
                  name: Moon
                  sub_button:
                    - entity: light.games_room_moon
                      select_attribute: effect_list
                      icon: mdi:shimmer
              layout:
                grid-template-columns: 50% 50%
                grid-template-rows: auto
                margin: 0px 0px 0px 0px
          grid_options:
            columns: full
    - type: grid
      cards:
        - type: custom:gap-card
          visibility:
            - condition: screen
              media_query: '(min-width: 1280px)'
        - type: entities
          entities:
            - type: custom:bubble-card
              card_type: separator
              name: Media Player
              button_type: name
              show_icon: true
              card_layout: large
              sub_button: []
              styles: |
                .bubble-sub-button {
                    #background-color: rgba(206, 108, 15, 1); 
                    #height: 29px;
                    
                    #font-size: 16px !important;
                    #font-style: bold !important;
                }                  
                .bubble-sub-button-icon { 
                  --mdc-icon-size: 24px !important;
                }
                .bubble-sub-button-1{
                    background-color: ${hass.states['input_boolean.scene_minimal'].state==='on' ? 'var(--primary-color)' : ''} !important;
                }                 
                .bubble-sub-button-2{
                    background-color: ${hass.states['input_boolean.scene_musicfx'].state==='on' ? 'var(--primary-color)' : ''} !important;
                } 
                .bubble-sub-button-3{
                    background-color: ${hass.states['input_boolean.scene_uv_only'].state==='on' ? 'var(--primary-color)' : ''} !important;
                }   
                .bubble-sub-button-4{
                    background-color: ${hass.states['input_boolean.scene_tv_bar'].state==='on' ? 'var(--primary-color)' : ''} !important;
                }
                .bubble-sub-button-5{
                    background-color: var(--deep-orange-color) !important;
                }                   
                .bubble-icon {
                  #font-size: large !important;
                  #font-style: bold !important;
                  color: var(--white-color) !important;
                  opacity: 1 !important;    
                  #--mdc-icon-size: 28px
                }
              show_name: true
              icon: mdi:multimedia
            - type: custom:state-switch
              entity: media_player.vlc_cuddle_cave_2
              default: idle
              states:
                idle:
                  entity: media_player.vlc_cuddle_cave_2
                  type: custom:mini-media-player
                  icon: mdi:vlc
                  artwork: material
                  background: https://wallpaperaccess.com/full/1756508.jpg
                  scale: 1
                  idle_view:
                    when_idle: true
                    when_paused: true
                    when_standby: true
                    after: 30
                  hide:
                    power: true
                    next: true
                    prev: true
                    runtime: false
                    icon_state: false
                    power_state: false
                  shortcuts:
                    columns: 3
                    column_height: 32
                    buttons:
                      - type: service
                        id: media_player.play_media
                        data:
                          media_content_type: music
                          media_content_id: >-
                            media-source://radio_browser/960ea1eb-0601-11e8-ae97-52543be04c81
                          entity_id: media_player.vlc_cuddle_cave_2
                        cover: >-
                          https://www.phonostar.de/images/auto_created/hardbasefm2184x184.png
                      - type: service
                        id: media_player.play_media
                        data:
                          media_content_type: music
                          media_content_id: >-
                            media-source://radio_browser/960e96f3-0601-11e8-ae97-52543be04c81
                          entity_id: media_player.vlc_cuddle_cave_2
                        cover: >-
                          https://www.technobase.fm/content/images/site/logo-technobase.fm.png
                      - type: service
                        id: script.webradio
                        data:
                          entity_id: media_player.vlc_cuddle_cave_2
                        icon: mdi:radio-tower
                        name: Custom
                  source: full
                unavailable:
                  type: custom:bubble-card
                  card_type: button
                  tap_action:
                    action: toggle
                  entity: button.lucy_pc_startvlc
                  styles: >-
                    .bubble-name {
                      color: var(--orange-color) !important;
                    } .bubble-state {
                      color: var(--disabled-color) !important; 
                    } .card-content {
                      width: 100% !important;
                      justify-content: flex-end !important;;
                    }

                    .bubble-name-container {            
                      margin: 0.0em !important;
                    }

                    .bubble-icon {
                      opacity: 1 !important;
                      color: var(--disabled-color) !important; 
                      filter: contrast(1.2) !important;
                    }          

                    .bubble-icon-container {
                      color: transparent !important;            
                      background-color: var(--secondary-background-color) !important; 
                      opacity: 0.75 !important;
                      
                    } .bubble-button-card-container {
                        #display: ${hass.states['media_player.vlc_lucy_s_room_2'].state==='idle' ? 'none' : ''};
                        opacity: 1 !important;
                    }    .bubble-button-background {
                        opacity: 0.85 !important;
                    }       


                    ${card.querySelector('.bubble-state').innerText = "Run
                    vlc.exe on LUCY-PC"};
                  icon: mdi:vlc
                  card_layout: large
                  show_state: true
                  button_action:
                    hold_action:
                      action: toggle
                    tap_action:
                      action: toggle
                  show_name: true
                  name: Start VLC
                  button_type: state
                unknown:
                  type: custom:bubble-card
                  card_type: button
                  tap_action:
                    action: toggle
                  entity: button.lucy_pc_startvlc
                  styles: >-
                    .bubble-name {
                      color: var(--orange-color) !important;
                    } .bubble-state {
                      color: var(--disabled-color) !important; 
                    } .card-content {
                      width: 100% !important;
                      justify-content: flex-end !important;;
                    }

                    .bubble-name-container {            
                      margin: 0.0em !important;
                    }

                    .bubble-icon {
                      opacity: 1 !important;
                      color: var(--disabled-color) !important; 
                      filter: contrast(1.2) !important;
                    }          

                    .bubble-icon-container {
                      color: transparent !important;            
                      background-color: var(--secondary-background-color) !important; 
                      opacity: 0.75 !important;
                      
                    } .bubble-button-card-container {
                        #display: ${hass.states['media_player.vlc_lucy_s_room_2'].state==='idle' ? 'none' : ''};
                        opacity: 1 !important;
                    }    .bubble-button-background {
                        opacity: 0.85 !important;
                    }       


                    ${card.querySelector('.bubble-state').innerText = "Run
                    vlc.exe on LUCY-PC"};
                  icon: mdi:vlc
                  card_layout: large
                  show_state: true
                  button_action:
                    hold_action:
                      action: toggle
                    tap_action:
                      action: toggle
                  show_name: true
                  name: Start VLC
                  button_type: state
            - entity: input_boolean.vlc_foxxbook_keep_playing
              name: Auto Reconnect
              icon: mdi:restore
            - type: custom:text-input-row
              entity: input_text.webradio_url
              name: Custom Media URL
            - type: custom:bubble-card
              card_type: empty-column
            - type: section
            - type: custom:bubble-card
              card_type: empty-column
            - entity: media_player.spotify_player
              type: custom:mini-media-player
              icon: mdi:spotify
              name: Spotify
              artwork: cover
              background: https://cdn.wallpapersafari.com/73/36/kjoK1u.png
              source: full
              scale: 1
              hide:
                power: true
                next: false
                prev: false
                icon_state: false
                power_state: false
                shuffle: false
                repeat: false
              shortcuts:
                name: Playlists
                columns: 4
                column_height: 24
                label: Select playlist...
                list:
                  - type: playlist
                    id: >-
                      https://open.spotify.com/playlist/1psnCErmODnQX1sgwy4SYe?si=b8d1dfc563c049db
                    name: 😽 Cozy Couch Cats 🛋️
                  - type: playlist
                    id: >-
                      https://open.spotify.com/playlist/0KiYAIxlDkkFH9wggNLJXQ?si=11a3cde88c044211
                    icon: mdi:cat
                  - type: playlist
                    id: >-
                      https://open.spotify.com/playlist/4mXpy8lTVGq0j47ZIArtyt?si=ee6a7a2fca35414f
                    icon: mdi:star-shooting
                  - type: playlist
                    id: >-
                      https://open.spotify.com/playlist/6SdjgBzS7VibMbCJp92JkW?si=0ff375e8396c4e3b
                    icon: mdi:rocket-launch
              sound_mode: icon
          grid_options:
            columns: full
    - type: grid
      cards:
        - type: vertical-stack
          cards:
            - type: custom:bubble-card
              card_type: pop-up
              hash: '#add-note'
              button_type: state
              show_name: true
              show_icon: true
              icon: mdi:notebook-plus
              sub_button:
                - entity: input_select.lists
                  show_state: true
                  show_name: false
                  show_attribute: false
              card_layout: large
              show_last_changed: false
              show_state: true
              name: Add Note
              margin_top_mobile: 60vh
              show_header: false
              margin_top_desktop: 60vh
              bg_color: ''
              styles: |-
                .bubble-background: {
                  background-color: var(--primary-background-color) !important;
                  opacity: 0 !important;
                }
              bg_opacity: '70'
              bg_blur: '90'
              backdrop_blur: '100'
              shadow_opacity: '100'
            - type: custom:layout-card
              cards:
                - type: custom:text-input-row
                  entity: input_text.add_list_item
              layout_type: custom:grid-layout
            - type: custom:layout-card
              layout_type: custom:grid-layout
              cards:
                - type: custom:bubble-card
                  tap_action:
                    action: perform-action
                    perform_action: script.add_list_item_2
                    data:
                      entity: todo.todo_later
                  button_action:
                    tap_action:
                      action: perform-action
                      perform_action: script.add_list_item_2
                    data:
                      entity: todo.todo_later
                  icon: mdi:book-plus
                  name: Notes
                  card_type: button
                  button_type: name
                  styles: |-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 
                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  
                    .bubble-button-background { 
                      background:  'var(--primary-color)'  !important;
                      display: ${state === 'on' ? '' : 'none'} !important;
                      filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    }        
                - type: custom:bubble-card
                  card_type: button
                  button_type: name
                  icon: mdi:cart-plus
                  tap_action:
                    action: perform-action
                    perform_action: script.add_list_item_2
                    data:
                      entity: todo.lebensmittel
                  button_action:
                    tap_action:
                      action: perform-action
                      perform_action: script.add_list_item_2
                    data:
                      entity: todo.lebensmittel
                  name: Shopping
                  styles: |-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 
                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  
                    .bubble-button-background { 
                      background:  'var(--primary-color)'  !important;
                      display: ${state === 'on' ? '' : 'none'} !important;
                      filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    }  
                - type: custom:bubble-card
                  card_type: button
                  button_type: name
                  icon: mdi:invoice-text-plus
                  name: Tasks
                  styles: |-

                    .bubble-icon {
                        color:  'var(--primary-color)'  !important;            
                        opacity: 1 !important;
                        filter: 'brightness(1.15)' !important;
                    } 
                    .bubble-icon-container {
                        background: ${state==='on' ? 'var(--primary-background-color)' : 'var(--secondary-background-color)'} !important;            
                        opacity: 1 !important;
                        color: var(--primary-background-color)
                        filter: brightness(1.55) !important;
                    }  
                    .bubble-button-background { 
                      background:  'var(--primary-color)'  !important;
                      display: ${state === 'on' ? '' : 'none'} !important;
                      filter: brightness(0.15) !important;

                      opacity: 1.75 !important;
                    }            
                  tap_action:
                    action: perform-action
                    perform_action: script.add_list_item_2
                    data:
                      entity: todo.todo
                  button_action:
                    tap_action:
                      action: perform-action
                      perform_action: script.add_list_item_2
                    data:
                      entity: todo.todo
              layout:
                grid-template-columns: 33.33% 33.33% 33.33%
                grid-template-rows: auto
                margin: '-10px 0px 0px 0px'
                padding: 0 0 0 0
        - type: custom:bubble-card
          card_type: horizontal-buttons-stack
          highlight_current_view: true
          styles: |-
            styles: |
              .bubble-horizontal-buttons-stack-card-container {
                border-style: hidden !important;
                margin: 0px !important;
                border-color: var(--card-background-color) !important;
                #background-color: var(--card-background-color) !important;
                #background-color: var(--primary-color) !important;
              }
              .bubble-background-color {
                background-color: var(--primary-color) !important;
                opacity: 0.25 !important;
                border-style: hidden !important;
                border-color: var(--card-background-color) !important;
                #width: 50px !important;
                #height: 50px !important;
                justify-content: center !important;
              }
              .horizontal-buttons-stack-container {
                border-color: var(--card-background-color) !important;
                border-style: hidden !important;
              }

              .bubble-icon {
              #--mdc-icon-size: 28px !important;
              }
          visibility:
            - condition: user
              users:
                - dd8da2ed051341f086805992caab5ee3
                - cb71643a273740a7ac63a971c62bf646
          4_icon: mdi:cart
          4_link: lists
          3_link: /lovelace/Cuddle-cave
          3_icon: mdi:heart
          2_link: /lovelace/lucys
          2_icon: mdi:alpha-l-circle
          1_link: /lovelace/info
          1_icon: mdi:information-slab-circle
          5_link: '#kitchen-timer'
          5_icon: mdi:timer-plus
          6_link: /lovelace/Pokestats
          6_icon: mdi:pokeball
  header:
    card:
      type: markdown
      content: >
        # 💕 Cuddle Cave 💜

        {% if  states('media_player.vlc_games_room_2')=='plaing' %}

        Listening to:

        **{{state_attr('media_player.spotify_player','media_artist')}}** -
        ***{{state_attr('media_player.spotify_player','media_title')}}***

        {%endif%}



        ##

        ##

        #
      text_only: true
    layout: center
    badges_position: bottom
  cards: []
  top_margin: false
  badges: []
  background:
    opacity: 35
    alignment: center
    size: cover
    repeat: no-repeat
    attachment: fixed
    image: /api/image/serve/77f9f586163c645f346211a58c08858e/original
  subview: false
